org.apache.ignite.internal.processors.platform

## Class PlatformIgnition

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.PlatformIgnition

    public class PlatformIgnition
    extends Object

Entry point for platform nodes.

### Method Summary

All Methods Static Methods Concrete Methods
`static long` `environmentPointer(String igniteInstanceName)` Get environment pointer of the given instance.
`static PlatformProcessor` `instance(String igniteInstanceName)` Get instance by environment pointer.
`static void` `start(String springCfgPath, String igniteInstanceName, int factoryId, long envPtr, long dataPtr)` Start Ignite node in platform mode.
`static boolean` `stop(String igniteInstanceName, boolean cancel)` Stop single instance.
`static void` `stopAll(boolean cancel)` Stop all instances.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### start

    public static void start(@Nullable
                             String springCfgPath,
                             @Nullable
                             String igniteInstanceName,
                             int factoryId,
                             long envPtr,
                             long dataPtr)

Start Ignite node in platform mode.

Parameters:
  `springCfgPath` - Spring configuration path.
  `igniteInstanceName` - Ignite instance name.
  `factoryId` - Factory ID.
  `envPtr` - Environment pointer.
  `dataPtr` - Optional pointer to additional data required for startup.

#### instance

    @Nullable
    public static PlatformProcessor instance(@Nullable
                                                       String igniteInstanceName)

Get instance by environment pointer.

Parameters:
  `igniteInstanceName` - Ignite instance name.
Returns:
  Instance or `null` if it doesn't exist (never started or stopped).

#### environmentPointer

    public static long environmentPointer(@Nullable
                                          String igniteInstanceName)

Get environment pointer of the given instance.

Parameters:
  `igniteInstanceName` - Ignite instance name.
Returns:
  Environment pointer or `0` in case grid with such name doesn't exist.

#### stop

    public static boolean stop(@Nullable
                               String igniteInstanceName,
                               boolean cancel)

Stop single instance.

Parameters:
  `igniteInstanceName` - Ignite instance name,
  `cancel` - Cancel flag.
Returns:
  `True` if instance was found and stopped.

#### stopAll

    public static void stopAll(boolean cancel)

Stop all instances.

Parameters:
  `cancel` - Cancel flag.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018